Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openqa.selenium.server
Class FsResourceLocator

    java.lang.Object
      org.openqa.selenium.server.FsResourceLocator

All Implemented Interfaces:
  ResourceLocator

    public class FsResourceLocator

extends java.lang.Object
implements ResourceLocator

Constructor Summary
`FsResourceLocator(java.io.File directory)`

Method Summary
`org.mortbay.util.Resource` | `getResource(org.mortbay.http.HttpContext context, java.lang.String pathInContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FsResourceLocator

    public FsResourceLocator(java.io.File directory)

Method Detail

### getResource

    public org.mortbay.util.Resource getResource(org.mortbay.http.HttpContext context,
                                                 java.lang.String pathInContext)
                                          throws java.io.IOException

  Specified by:
    `getResource` in interface `ResourceLocator`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.